# encoding: utf-8

module MyEpisodes
  class Season
    attr_reader :name

    def initialize(show=nil)
      @show = show
      @episodes = []
    end

    def create(row)
      @name = row.text.strip
      self
    end

    def <<(episode)
      @episodes << episode
    end

    def episodes
      @episodes.freeze
    end

    def show
      @show.freeze
    end
  end
end
