# encoding: utf-8

module MyEpisodes
	class TableParser
		def initialize(options={})
			@options = options
			@search_string = 'table.mylist tr'.freeze
		end

		def parse(page)
			table = page.search(@search_string)
			table.shift unless @options[:keep_header]
			table
		end
	end
end
